
lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'berkshelf/notifiers/datadog/version'

Gem::Specification.new do |spec|
  spec.name          = 'berkshelf-notifiers-datadog'
  spec.version       = Berkshelf::Notifiers::Datadog::VERSION
  spec.authors = [
    'Jeff Byrnes',
  ]
  spec.email = [
    'thejeffbyrnes@gmail.com',
  ]

  spec.summary       = 'Wrap Berkshelf & send a Datadog event when uploading a cookbook.'
  spec.homepage      = 'https://github.com/darkskyapp/berkshelf-notifiers-datadog'
  spec.license       = 'MIT'

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = 'bin'
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_dependency 'berkshelf', '~> 7.0'
  spec.add_dependency 'dogapi', '~> 1.31'

  spec.add_development_dependency 'bundler', '~> 1.16'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec', '~> 3.0'
end
